
/* Hero section */
#hero {
    min-height: calc(100svh - 80px);
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
}

#background-video {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    object-fit: cover;
    z-index: -1;
}

#hero::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 0;
}

.hero {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: calc(100svh - 80px);
    color: white;
    text-align: center;
    padding: 20px;
    position: relative;
    z-index: 1;
}

.hero h3 {
    font-size: clamp(1.25rem, 2vw + 0.5rem, 2.25rem);
    font-weight: 100;
    margin: 0;
}

.hero h1 {
    font-size: clamp(2.5rem, 5vw + 1rem, 6.75rem);
    font-weight: 500;
    margin: 10px 0;
}

.hero p {
    font-size: 20px;
}

/* Section About */
#about {
    background-color: black;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.about-us-container {
    text-align: center;
    padding: clamp(1.5rem, 5vw, 3.125rem);
    margin: 0 auto;
    max-width: 800px;
    position: relative;
}

/* Services */
#services {
    background-color: black;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.services-container {
    text-align: center;
    padding: clamp(1.5rem, 5vw, 3.125rem);
    margin: 0 auto;
    max-width: 800px;

    position: relative;
}

/* Tablet and small PC screen */
@media screen and (max-width: 1200px) {

    .hero h3 {
        font-size: clamp(1.25rem, 2vw + 0.5rem, 2.25rem);
        font-weight: 300;
        margin: 0;
    }

    .hero h1 {
        font-size: clamp(2.5rem, 5vw + 1rem, 6.75rem);
        font-weight: 500;
        margin: 10px 0;
    }

}

/* Mobile and small device screen */
@media screen and (max-width: 768px) {

    /* Hero Section */
.hero h3 {
        font-size: clamp(1.25rem, 2vw + 0.5rem, 2.25rem);
        font-weight: 300;
        margin: 0;
    }

    .hero h1 {
        font-size: clamp(2.5rem, 5vw + 1rem, 6.75rem);
        font-weight: 500;
        margin: 10px 0;
    }

    #hero {
        flex-direction: column;
    }
 
    /* about Section */
.text {
        font-size: 16px;
    }
}
